package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.ResourcePO;
import mhp.oee.po.gen.ResourcePOExample;
import org.apache.ibatis.annotations.Param;

public interface ResourcePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int countByExample(ResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int deleteByExample(ResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int insert(ResourcePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int insertSelective(ResourcePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    List<ResourcePO> selectByExample(ResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    ResourcePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourcePO record, @Param("example") ResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourcePO record, @Param("example") ResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourcePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourcePO record);
}